<?php

//header('Content-Type: text/html; charset=utf-8'); // Pour afficher les caract spéciaux du SQL   A tester pour virer les caracts spéciaux des req SQL

if (isset($_POST['identifiant']) && isset($_POST['mdp']))
{
include 'session/connexion.php'; //établissement de la connexnio à la bdd à partir des param def dans la classe connexion

$_SESSION['accreditation']=null;

//Sécurisation données saisies
$identifiant = htmlspecialchars($_POST['identifiant']);
$mdp = htmlspecialchars($_POST['mdp']);

//Verification si identifants existent dans la BdD
//Reqs SQL préparées pour une sécurité minimale
$verif_ident = $objPdo->prepare('SELECT COUNT(*) FROM session WHERE (identifiant = "'.$identifiant.'" AND mdp="' .$mdp .'")');
$verif_ident->execute();

	if($verif_ident->fetchColumn() > 0) //Si existe (résultat positif)
	{
		
	session_start(); //Démarrage de la session
	
	$_SESSION['identifiant'] = $identifiant;
	$_SESSION['mdp'] = $mdp;

	//Req cherchant le type d'accréditation à l'application (Admin ou Etudiant)
	$accreditation = $objPdo->prepare("SELECT libelle_accreditation FROM accreditation a, session s WHERE identifiant='$identifiant' AND mdp='$mdp' AND a.no_accreditation=s.no_accreditation");
	$accreditation->execute();
	
	//Stockage des droits pour la session actuelle
	while($rowAccreditation=$accreditation->fetch())
	{
		if($rowAccreditation['libelle_accreditation']=="Administrateur")
			$_SESSION['accreditation']="Administrateur";
			//Utilisateur = admin
		
		else if ($rowAccreditation['libelle_accreditation']=="Etudiant")
		{
			$_SESSION['accreditation']="Etudiant";
			//Utilisateur = étudiant
			
			//Recherche du numéro de session associé à l'étudiant en question
			$session=$objPdo->prepare("SELECT id_session FROM session WHERE (identifiant='$identifiant' AND mdp='$mdp')");
			$session->execute();

                while($rowSession=$session->fetch())
                {
                        $id=$rowSession['id_session'];	//stockage de valeur du numéro de session
                }
		}
		
		header('Location: accueil.php');	//Redirection vers l'accueil une fois la connexion acceptée 
	}
	}
}

// Gestion de la checkbox "Se souvenir de moi" avec des cookies - PAS ENCORE UTILISE /!\
if(isset($_POST["souvenir"]))
	
                    {
                    $heure = time() + 3600 * 24 * 30; //date d'expiration dans ~1 mois
                    setcookie('identifiant', $identifiant, $heure);
                         setcookie('mdp', $mdp, $heure);
                    }
?>

<!DOCTYPE html>
<html>

<meta charset="utf-8">

<head>

    <title>Connexion</title>
	
	<link rel="stylesheet" href="css/index.css">
	
<script language=" javascript " type="text/javascript">


/*  double verif ident/mdp a debugger */

/*var v_ident='<?PHP echo $identifiant;?>';
var v_mdp='<?PHP echo $mdp;?>';*/

function valider()
{
	
    if ( document.form.identifiant.value == "" )
    {
        alert ( "Veuillez saisir votre identifiant !" );
        valid = false;
return valid;
    }
	
	    if ( document.form.mdp.value == "" )
    {
        alert ( "Veuillez saisir votre mot de passe !" );
        valid = false;
return valid;
    }
	

	/* buggé
	if (document.form.identifiant.value != '<?PHP echo $identifiant;?>' || document.form.mdp.value != '<?PHP echo $mdp;?>')
    {
        alert ( "Informations invalides ! - IDENT : <?PHP echo $identifiant;?> et MDP : <?PHP echo $mdp;?>");
        valid = false;
		location.reload();
return valid;

    }*/
}


</script>
	
</head>

<body>

	<div id="form"> <!-- balise de contenu avec formulaire -->
	
			<br />
			
			<form name ="form" action="index.php" method="post" onsubmit="return valider()">
		
			<p>
			
			<br /> <input type="text" title="Saisir votre identifiant" name="identifiant" placeholder ="Identifiant"/><br /><br /> 
			
			<br /><input type="password" title="Saisir votre mot de passe" name="mdp" placeholder ="Mot de passe" /><br /><br /> <br /> 
			
			<label>Se souvenir de moi ?</label> <input type="checkbox" id="souvenir" name="souvenir" value="1" checked /><br /><br /> 
			
			<input class="bouton" type="submit" name="Connexion" value="Connexion">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input class="bouton" type="reset" name="Effacer" value="Effacer"><br /><br />
			
			</p>
			
		</form>

	</div>

</body>

</html> 
